From 33050ece6badd78a68f1ac24efa9c326e99a0144 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:10 +0000
Subject: [PATCH 384/2232] Remove unneeded vector element Sized constraints


We only implement VectorElement for sized types anyway.

---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index c3f4fe7..c0d2f6b 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -68,15 +68,9 @@ impl<'a, T: VectorElement<T>> Iterator for VectorIntoIterator<'a, T> {
 // codebase.
 #[doc(hidden)]
 pub unsafe trait VectorElement<T> {
-    fn __get_unchecked(v: &CxxVector<T>, pos: usize) -> &T
-    where
-        Self: Sized;
-    fn __vector_length(v: &CxxVector<T>) -> usize
-    where
-        Self: Sized;
-    fn __push_back(v: &CxxVector<T>, item: &T)
-    where
-        Self: Sized;
+    fn __get_unchecked(v: &CxxVector<T>, pos: usize) -> &T;
+    fn __vector_length(v: &CxxVector<T>) -> usize;
+    fn __push_back(v: &CxxVector<T>, item: &T);
 }
 
 cxxbridge_macro::vector_builtin!(u8);

